# Interface ApplicationSpec

All Superinterfaces:
  `ComponentSpec, GeneralComponentSpec, ModelElement, Named, SourceComponentSpec, VariantComponent, VariantComponentSpec`

All Known Subinterfaces:
  `NativeExecutableSpec, PlayApplicationSpec`

@Incubating public interface ApplicationSpec extends GeneralComponentSpec
A specification of a `Application`.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName`

### Methods inherited from interface SourceComponentSpec

`getSources`

### Methods inherited from interface VariantComponent

`getName, getVariants`

### Methods inherited from interface VariantComponentSpec

`getBinaries`